package com.theitbulls.activitytofragmentdatademo.ui.main;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.fragment.app.Fragment;

import com.theitbulls.activitytofragmentdatademo.R;

public class DataFragment extends Fragment {
    public static DataFragment newInstance() {
        return new DataFragment();
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View root = inflater.inflate(R.layout.fragment, container, false);

        Bundle bundle = getArguments();
        String name = bundle.getString("name");
        int age = bundle.getInt("age");
        boolean gender = bundle.getBoolean("gender");

        AppCompatTextView tvName = root.findViewById(R.id.tvName);
        AppCompatTextView tvAge = root.findViewById(R.id.tvAge);
        AppCompatTextView tvGender = root.findViewById(R.id.tvGender);

        tvName.setText(name);
        tvAge.setText(String.valueOf(age));
        tvGender.setText(gender ? "Male" : "Female");

        return root;
    }
}
